import {Route, Routes, Outlet, Navigate} from 'react-router-dom'
import {PageLink, PageTitle} from '../../../../_metronic/layout/core'
import { PositionsListWrapper } from './object-list/PositionsList'

const positionsBreadcrumbs: Array<PageLink> = [
  {
    title: 'Position Management',
    path: '/apps/management/positions/all/*',
    isSeparator: false,
    isActive: false,
  },
  {
    title: '',
    path: '',
    isSeparator: true,
    isActive: false,
  },
]

const PositionsPage = () => {
  return (
    <Routes>
      <Route element={<Outlet />}>
        <Route
          path='all/:page'
          element={
            <>
              <PageTitle breadcrumbs={positionsBreadcrumbs}>Befattningar</PageTitle>
              <PositionsListWrapper />
            </>
          }
        />
      </Route>
      <Route index element={<Navigate to='/apps/management/positions/' />} />
    </Routes>
  )
}

export default PositionsPage
